#!/usr/bin/python
import sys
import termcolor

VMs = sys.argv[1:]
pad = max([ len(vm) for vm in VMs ])
colors = [ "green", "yellow", "blue", "magenta", "cyan", "red", "grey", "white" ]


for i, vm in enumerate(sys.argv[1:]):
    open = termcolor.colored("[", attrs=["bold"])
    name = termcolor.colored(vm.rjust(pad), colors[i%len(colors)], attrs=["bold"])
    close = termcolor.colored("]", attrs=["bold"])
    print(f"{open}{name}{close}")
