#compdef nfstest_rplus.zsh

function _nfstest_rplus.zsh() {
	_arguments \
		{-c,--client}'[the client to test]: : _alternative
			"hosts\:hosts\: _ssh_hosts"
			"domains\:domains\:($(virsh list --all --name))"' \
		--dmesg'[print client dmesg log after running tests]' \
		--srvdmesg'[print server dmesg log after running tests]' \
		{-p,--mountpoint}'[the directory to mount the server]: : _files -/' \
		{-s,--server}'[the server to test against]: : _alternative
			"hosts\:hosts\: _ssh_hosts"
			"domains\:domains\:($(virsh list --all --name))"' \
		{-x,--export}'[the exported directory on the server]: : _files -/'
}
