#compdef read_plus.zsh

function _read_plus.zsh() {
	_arguments \
		{-c,--client}'[the client to test]: : _alternative
			"hosts\:hosts\: _ssh_hosts"
			"domains\:domains\:($(virsh list --all --name))"' \
		{-d,--direct}'[call dd with iflag=direct]' \
		{-f,--file}'[write output to file]: : _files' \
		{-i,--iterations}'[number of times to repeat the test]: :($(seq 100))' \
		{-p,--mountpoint}'[the directory to mount the server]: : _files -/' \
		{-s,--server}'[the server to test against]: : _alternative
			"hosts\:hosts\: _ssh_hosts"
			"domains\:domains\:($(virsh list --all --name))"' \
		{-x,--export}'[the exported directory on the server]: : _files -/' \
		{-z,--size}'[the size of the test files]: :($(seq 5120))'
}
