#compdef cthon.zsh

function _cthon.zsh() {
	_arguments \
		{-a,--all}'[run all tests]' \
		{-b,--basic}'[run basic tests]' \
		{-c,--client}'[the client to test]: : _alternative
			"hosts\:hosts\: _ssh_hosts"
			"domains\:domains\: _libvirt"' \
		--dmesg'[print client dmesg log after running tests]' \
		{-g,--general}'[run general tests]' \
		{-l,--locking}'[run locking tests]' \
		--no-server-access'[do not attempt to ssh into the server]' \
		\*{-o,--options}'[mount options for all mounts]: :' \
		--krb5'[run tests with sec=krb5]' \
		--srvdmesg'[print server dmesg log after running tests]' \
		{-p,--mountpoint}'[the directory to mount the server]: : _files -/' \
		{-r,--rdma}'[test using rdma]: :(rxe siw)' \
		{-s,--server}'[the server to test against]: : _alternative
			"hosts\:hosts\: _ssh_hosts"
			"domains\:domains\: _libvirt"' \
		{-S,--special}'[run special tests]' \
		\*{-v,--version}+'[the nfs version to test (default=all)]: :(3 4 4.0 4.1 4.2)' \
		{-x,--export}'[the exported directory on the server]: : _files -/'
}
