#!/bin/bash

url=git://git.linux-nfs.org/projects/anna/linux-nfs.git

[ -z "$1" ] && tag="v5.*-rc*" || tag="$1"
old=$(git describe --tags --abbrev=0 --match $tag)
new=$(git describe)

echo "Hi Linus,"
echo
git request-pull $old $url HEAD:$new
